diff options
author | Peter Mikus <pmikus@cisco.com> | 2019-10-10 15:31:28 +0000 |
---|---|---|
committer | Peter Mikus <pmikus@cisco.com> | 2019-11-05 07:23:56 +0000 |
commit | d01411c3c4af6c724a3800c621804ea979818d6d (patch) | |
tree | 8c2745c25a575c7f637473fe98d3c39c1c8e2b28 /resources/libraries | |
parent | 50d21f72ff61d06641954c22a8bc13c2468388f9 (diff) |
Cleanup via Ansible
+ Remove dependency on topo_ scripts that depends on custom SSH()
that depends on framework itself. This way the cleanup is independent
of failure in our SSH libs.
+ Simple ansible command can do cleanup of a machine:
ansible-playbook --inventory inventories/lf_inventory/hosts site.yaml \
--limit '10.32.8.18' --tags 'cleanup'
+ Add vpp_device reset and cleanup.
+ Remove historical scripts.
- Still in testing beta phase.
- Need to add SRIOV cleanup.
Signed-off-by: Peter Mikus <pmikus@cisco.com>
Change-Id: I68e23304c7ad01041f51263c328c6e8d9b555cb7
Diffstat (limited to 'resources/libraries')
-rw-r--r-- | resources/libraries/bash/function/ansible.sh | 3 | ||||
-rw-r--r-- | resources/libraries/bash/function/common.sh | 4 |
2 files changed, 3 insertions, 4 deletions
diff --git a/resources/libraries/bash/function/ansible.sh b/resources/libraries/bash/function/ansible.sh index 5bf122e4b0..431acc7c5d 100644 --- a/resources/libraries/bash/function/ansible.sh +++ b/resources/libraries/bash/function/ansible.sh @@ -28,8 +28,7 @@ function ansible_hosts () { set -exuo pipefail if ! installed sshpass; then - sudo apt-get update -y || die "apt-get update failed!" - sudo apt-get install -y sshpass || die "Install sshpass failed!" + die "Please install sshpass!" fi if ! installed ansible-playbook; then diff --git a/resources/libraries/bash/function/common.sh b/resources/libraries/bash/function/common.sh index f9c9e2ea91..f5e1111a17 100644 --- a/resources/libraries/bash/function/common.sh +++ b/resources/libraries/bash/function/common.sh @@ -604,7 +604,7 @@ function reserve_and_cleanup_testbed () { } # Cleanup check. set +e - cleanup_topo + ansible_hosts "cleanup" result="$?" set -e if [[ "${result}" == "0" ]]; then @@ -1040,7 +1040,7 @@ function untrap_and_unreserve_testbed () { set -eu warn "Testbed looks unreserved already. Trap removal failed before?" else - cleanup_topo || true + ansible_hosts "cleanup" || true python "${PYTHON_SCRIPTS_DIR}/topo_reservation.py" -c -t "${wt}" || { die "${1:-FAILED TO UNRESERVE, FIX MANUALLY.}" 2 } |